import Foundation

struct Categories_Model : Codable {
    
	let the1 : String?
	let the2 : String?
	let the3 : String?
	let the4 : String?
	let the5 : String?
	let the6 : String?
	let the7 : String?
	let the8 : String?
	let the10 : String?
	let the11 : String?
	let the12 : String?
	let the13 : String?
	let the14 : String?
	let the15 : String?
	let the16 : String?
	let the17 : String?
	let the18 : String?
	let the19 : String?
	let the20 : String?
	let the21 : String?
	let the22 : String?
	let the23 : String?
	let the24 : String?
	let the25 : String?
	let the26 : String?
	let the27 : String?
	let the28 : String?
	let the29 : String?
	let the30 : String?
	let the31 : String?
	let the32 : String?
	let the33 : String?
	let the34 : String?
	let the35 : String?
	let the36 : String?
	let the37 : String?
	let the38 : String?
	let the39 : String?
	let the40 : String?
	let the41 : String?
	let the42 : String?

	enum CodingKeys: String, CodingKey {
		case the1 = "1"
		case the2 = "2"
		case the3 = "3"
		case the4 = "4"
		case the5 = "5"
		case the6 = "6"
		case the7 = "7"
		case the8 = "8"
		case the10 = "10"
		case the11 = "11"
		case the12 = "12"
		case the13 = "13"
		case the14 = "14"
		case the15 = "15"
		case the16 = "16"
		case the17 = "17"
		case the18 = "18"
		case the19 = "19"
		case the20 = "20"
		case the21 = "21"
		case the22 = "22"
		case the23 = "23"
		case the24 = "24"
		case the25 = "25"
		case the26 = "26"
		case the27 = "27"
		case the28 = "28"
		case the29 = "29"
		case the30 = "30"
		case the31 = "31"
		case the32 = "32"
		case the33 = "33"
		case the34 = "34"
		case the35 = "35"
		case the36 = "36"
		case the37 = "37"
		case the38 = "38"
		case the39 = "39"
		case the40 = "40"
		case the41 = "41"
		case the42 = "42"
	}

	init(from decoder: Decoder) throws {
		let values = try decoder.container(keyedBy: CodingKeys.self)
		the1 = try values.decodeIfPresent(String.self, forKey: .the1)
		the2 = try values.decodeIfPresent(String.self, forKey: .the2)
		the3 = try values.decodeIfPresent(String.self, forKey: .the3)
		the4 = try values.decodeIfPresent(String.self, forKey: .the4)
		the5 = try values.decodeIfPresent(String.self, forKey: .the5)
		the6 = try values.decodeIfPresent(String.self, forKey: .the6)
		the7 = try values.decodeIfPresent(String.self, forKey: .the7)
		the8 = try values.decodeIfPresent(String.self, forKey: .the8)
		the10 = try values.decodeIfPresent(String.self, forKey: .the10)
		the11 = try values.decodeIfPresent(String.self, forKey: .the11)
		the12 = try values.decodeIfPresent(String.self, forKey: .the12)
		the13 = try values.decodeIfPresent(String.self, forKey: .the13)
		the14 = try values.decodeIfPresent(String.self, forKey: .the14)
		the15 = try values.decodeIfPresent(String.self, forKey: .the15)
		the16 = try values.decodeIfPresent(String.self, forKey: .the16)
		the17 = try values.decodeIfPresent(String.self, forKey: .the17)
		the18 = try values.decodeIfPresent(String.self, forKey: .the18)
		the19 = try values.decodeIfPresent(String.self, forKey: .the19)
		the20 = try values.decodeIfPresent(String.self, forKey: .the20)
		the21 = try values.decodeIfPresent(String.self, forKey: .the21)
		the22 = try values.decodeIfPresent(String.self, forKey: .the22)
		the23 = try values.decodeIfPresent(String.self, forKey: .the23)
		the24 = try values.decodeIfPresent(String.self, forKey: .the24)
		the25 = try values.decodeIfPresent(String.self, forKey: .the25)
		the26 = try values.decodeIfPresent(String.self, forKey: .the26)
		the27 = try values.decodeIfPresent(String.self, forKey: .the27)
		the28 = try values.decodeIfPresent(String.self, forKey: .the28)
		the29 = try values.decodeIfPresent(String.self, forKey: .the29)
		the30 = try values.decodeIfPresent(String.self, forKey: .the30)
		the31 = try values.decodeIfPresent(String.self, forKey: .the31)
		the32 = try values.decodeIfPresent(String.self, forKey: .the32)
		the33 = try values.decodeIfPresent(String.self, forKey: .the33)
		the34 = try values.decodeIfPresent(String.self, forKey: .the34)
		the35 = try values.decodeIfPresent(String.self, forKey: .the35)
		the36 = try values.decodeIfPresent(String.self, forKey: .the36)
		the37 = try values.decodeIfPresent(String.self, forKey: .the37)
		the38 = try values.decodeIfPresent(String.self, forKey: .the38)
		the39 = try values.decodeIfPresent(String.self, forKey: .the39)
		the40 = try values.decodeIfPresent(String.self, forKey: .the40)
		the41 = try values.decodeIfPresent(String.self, forKey: .the41)
		the42 = try values.decodeIfPresent(String.self, forKey: .the42)
	}

}
